Index: trunk/NEMO/OPA_SRC/lbclnk.F90
===================================================================
--- trunk/NEMO/OPA_SRC/lbclnk.F90	(revision 716)
+++ trunk/NEMO/OPA_SRC/lbclnk.F90	(revision 717)
@@ -329,5 +329,5 @@
 
 
-   SUBROUTINE lbc_lnk_3d( pt3d, cd_type, psgn, cd_mpp )
+   SUBROUTINE lbc_lnk_3d( pt3d, cd_type, psgn, cd_mpp, pval )
       !!---------------------------------------------------------------------
       !!                  ***  ROUTINE lbc_lnk_3d  ***
@@ -355,8 +355,10 @@
       CHARACTER(len=3), INTENT( in ), OPTIONAL ::    &
          cd_mpp        ! fill the overlap area only (here do nothing)
+      REAL(wp)        , INTENT(in   ), OPTIONAL           ::   pval      ! background value (used at closed boundaries)
 
       !! * Local declarations
       INTEGER  ::   ji, jk
       INTEGER  ::   ijt, iju
+      REAL(wp) ::   zland
       !!----------------------------------------------------------------------
       !!  OPA 9.0 , LOCEAN-IPSL (2005) 
@@ -365,5 +367,12 @@
       !!----------------------------------------------------------------------
 
-      IF (PRESENT(cd_mpp)) THEN
+      IF( PRESENT( pval ) ) THEN      ! set land value (zero by default)
+         zland = pval
+      ELSE
+         zland = 0.e0
+      ENDIF
+
+
+      IF( PRESENT( cd_mpp ) ) THEN
          ! only fill the overlap area and extra allows 
          ! this is in mpp case. In this module, just do nothing
@@ -385,8 +394,8 @@
             SELECT CASE ( cd_type )
             CASE ( 'T' , 'U' , 'V' , 'W' )             ! T-, U-, V-, W-points
-               pt3d( 1 ,:,jk) = 0.e0
-               pt3d(jpi,:,jk) = 0.e0
-            CASE ( 'F' )                               ! F-point
-               pt3d(jpi,:,jk) = 0.e0
+               pt3d( 1 ,:,jk) = zland
+               pt3d(jpi,:,jk) = zland
+            CASE ( 'F' )                               ! F-point
+               pt3d(jpi,:,jk) = zland
             END SELECT
 
@@ -402,14 +411,14 @@
             CASE ( 'T' , 'U' , 'W' )                   ! T-, U-, W-points
                pt3d(:, 1 ,jk) = pt3d(:,3,jk)
-               pt3d(:,jpj,jk) = 0.e0
+               pt3d(:,jpj,jk) = zland
             CASE ( 'V' , 'F' )                         ! V-, F-points
                pt3d(:, 1 ,jk) = psgn * pt3d(:,2,jk)
-               pt3d(:,jpj,jk) = 0.e0
+               pt3d(:,jpj,jk) = zland
             END SELECT
 
          CASE ( 3 , 4 )                        ! *  North fold  T-point pivot
 
-            pt3d( 1 ,jpj,jk) = 0.e0
-            pt3d(jpi,jpj,jk) = 0.e0
+            pt3d( 1 ,jpj,jk) = zland
+            pt3d(jpi,jpj,jk) = zland
 
             SELECT CASE ( cd_type )
@@ -417,5 +426,5 @@
                DO ji = 2, jpi
                   ijt = jpi-ji+2
-                  pt3d(ji, 1 ,jk) = 0.e0
+                  pt3d(ji, 1 ,jk) = zland
                   pt3d(ji,jpj,jk) = psgn * pt3d(ijt,jpj-2,jk)
                END DO
@@ -427,5 +436,5 @@
                DO ji = 1, jpi-1
                   iju = jpi-ji+1
-                  pt3d(ji, 1 ,jk) = 0.e0
+                  pt3d(ji, 1 ,jk) = zland
                   pt3d(ji,jpj,jk) = psgn * pt3d(iju,jpj-2,jk)
                END DO
@@ -437,5 +446,5 @@
                   DO ji = 2, jpi
                      ijt = jpi-ji+2
-                     pt3d(ji,  1  ,jk) = 0.e0
+                     pt3d(ji,  1  ,jk) = zland
                      pt3d(ji,jpj-1,jk) = psgn * pt3d(ijt,jpj-2,jk)
                      pt3d(ji,jpj  ,jk) = psgn * pt3d(ijt,jpj-3,jk)
@@ -451,6 +460,6 @@
          CASE ( 5 , 6 )                        ! *  North fold  F-point pivot
 
-            pt3d( 1 ,jpj,jk) = 0.e0
-            pt3d(jpi,jpj,jk) = 0.e0
+            pt3d( 1 ,jpj,jk) = zland
+            pt3d(jpi,jpj,jk) = zland
 
             SELECT CASE ( cd_type )
@@ -458,5 +467,5 @@
                DO ji = 1, jpi
                   ijt = jpi-ji+1
-                  pt3d(ji, 1 ,jk) = 0.e0
+                  pt3d(ji, 1 ,jk) = zland
                   pt3d(ji,jpj,jk) = psgn * pt3d(ijt,jpj-1,jk)
                END DO
@@ -464,5 +473,5 @@
                   DO ji = 1, jpi-1
                      iju = jpi-ji
-                     pt3d(ji, 1 ,jk) = 0.e0
+                     pt3d(ji, 1 ,jk) = zland
                      pt3d(ji,jpj,jk) = psgn * pt3d(iju,jpj-1,jk)
                   END DO
@@ -470,5 +479,5 @@
                   DO ji = 1, jpi
                      ijt = jpi-ji+1
-                     pt3d(ji, 1 ,jk) = 0.e0
+                     pt3d(ji, 1 ,jk) = zland
                      pt3d(ji,jpj,jk) = psgn * pt3d(ijt,jpj-2,jk)
                   END DO
@@ -492,8 +501,8 @@
             SELECT CASE ( cd_type )
             CASE ( 'T' , 'U' , 'V' , 'W' )             ! T-, U-, V-, W-points
-               pt3d(:, 1 ,jk) = 0.e0
-               pt3d(:,jpj,jk) = 0.e0
-            CASE ( 'F' )                               ! F-point
-               pt3d(:,jpj,jk) = 0.e0
+               pt3d(:, 1 ,jk) = zland
+               pt3d(:,jpj,jk) = zland
+            CASE ( 'F' )                               ! F-point
+               pt3d(:,jpj,jk) = zland
             END SELECT
 
@@ -506,5 +515,5 @@
 
 
-   SUBROUTINE lbc_lnk_2d( pt2d, cd_type, psgn, cd_mpp )
+   SUBROUTINE lbc_lnk_2d( pt2d, cd_type, psgn, cd_mpp, pval )
       !!---------------------------------------------------------------------
       !!                 ***  ROUTINE lbc_lnk_2d  ***
@@ -532,11 +541,17 @@
       CHARACTER(len=3), INTENT( in ), OPTIONAL ::    &
          cd_mpp        ! fill the overlap area only (here do nothing)
+      REAL(wp)        , INTENT(in   ), OPTIONAL           ::   pval      ! background value (used at closed boundaries)
 
       !! * Local declarations
       INTEGER  ::   ji
       INTEGER  ::   ijt, iju
+      REAL(wp) ::   zland
       !!----------------------------------------------------------------------
-      !!  OPA 8.5, LODYC-IPSL (2002)
-      !!----------------------------------------------------------------------
+
+      IF( PRESENT( pval ) ) THEN      ! set land value (zero by default)
+         zland = pval
+      ELSE
+         zland = 0.e0
+      ENDIF
 
       IF (PRESENT(cd_mpp)) THEN
@@ -556,11 +571,11 @@
          SELECT CASE ( cd_type )
          CASE ( 'T' , 'U' , 'V' , 'W' )                ! T-, U-, V-, W-points
-            pt2d( 1 ,:) = 0.e0
-            pt2d(jpi,:) = 0.e0
+            pt2d( 1 ,:) = zland
+            pt2d(jpi,:) = zland
          CASE ( 'F' )                                  ! F-point, ice U-V point
-            pt2d(jpi,:) = 0.e0 
+            pt2d(jpi,:) = zland
          CASE ( 'I' )                                  ! F-point, ice U-V point
-            pt2d( 1 ,:) = 0.e0 
-            pt2d(jpi,:) = 0.e0 
+            pt2d( 1 ,:) = zland
+            pt2d(jpi,:) = zland
          END SELECT
 
@@ -576,15 +591,15 @@
          CASE ( 'T' , 'U' , 'W' )                      ! T-, U-, W-points
             pt2d(:, 1 ) = pt2d(:,3)
-            pt2d(:,jpj) = 0.e0
+            pt2d(:,jpj) = zland
          CASE ( 'V' , 'F' , 'I' )                      ! V-, F-points, ice U-V point
             pt2d(:, 1 ) = psgn * pt2d(:,2)
-            pt2d(:,jpj) = 0.e0
+            pt2d(:,jpj) = zland
          END SELECT
 
       CASE ( 3 , 4 )                           ! * North fold  T-point pivot
 
-         pt2d( 1 , 1 ) = 0.e0        !!!!!  bug gm ??? !Edmee
-         pt2d( 1 ,jpj) = 0.e0
-         pt2d(jpi,jpj) = 0.e0
+         pt2d( 1 , 1 ) = zland       !!!!!  bug gm ??? !Edmee
+         pt2d( 1 ,jpj) = zland
+         pt2d(jpi,jpj) = zland
 
          SELECT CASE ( cd_type )
@@ -593,5 +608,5 @@
             DO ji = 2, jpi
                ijt = jpi-ji+2
-               pt2d(ji, 1 ) = 0.e0
+               pt2d(ji, 1 ) = zland
                pt2d(ji,jpj) = psgn * pt2d(ijt,jpj-2)
             END DO
@@ -604,5 +619,5 @@
             DO ji = 1, jpi-1
                iju = jpi-ji+1
-               pt2d(ji, 1 ) = 0.e0
+               pt2d(ji, 1 ) = zland
                pt2d(ji,jpj) = psgn * pt2d(iju,jpj-2)
             END DO
@@ -615,5 +630,5 @@
             DO ji = 2, jpi
                ijt = jpi-ji+2
-               pt2d(ji, 1   ) = 0.e0
+               pt2d(ji, 1   ) = zland
                pt2d(ji,jpj-1) = psgn * pt2d(ijt,jpj-2)
                pt2d(ji,jpj  ) = psgn * pt2d(ijt,jpj-3)
@@ -628,5 +643,5 @@
 
          CASE ( 'I' )                                  ! ice U-V point
-            pt2d(:, 1 ) = 0.e0
+            pt2d(:, 1 ) = zland
             pt2d(2,jpj) = psgn * pt2d(3,jpj-1)
             DO ji = 3, jpi
@@ -639,7 +654,7 @@
       CASE ( 5 , 6 )                           ! * North fold  F-point pivot
 
-         pt2d( 1 , 1 ) = 0.e0           !!bug  ???
-         pt2d( 1 ,jpj) = 0.e0
-         pt2d(jpi,jpj) = 0.e0
+         pt2d( 1 , 1 ) = zland          !!bug  ???
+         pt2d( 1 ,jpj) = zland
+         pt2d(jpi,jpj) = zland
 
          SELECT CASE ( cd_type )
@@ -648,5 +663,5 @@
             DO ji = 1, jpi
                ijt = jpi-ji+1
-               pt2d(ji, 1 ) = 0.e0
+               pt2d(ji, 1 ) = zland
                pt2d(ji,jpj) = psgn * pt2d(ijt,jpj-1)
             END DO
@@ -655,5 +670,5 @@
             DO ji = 1, jpi-1
                iju = jpi-ji
-               pt2d(ji, 1 ) = 0.e0
+               pt2d(ji, 1 ) = zland
                pt2d(ji,jpj) = psgn * pt2d(iju,jpj-1)
             END DO
@@ -662,5 +677,5 @@
             DO ji = 1, jpi
                ijt = jpi-ji+1
-               pt2d(ji, 1 ) = 0.e0
+               pt2d(ji, 1 ) = zland
                pt2d(ji,jpj) = psgn * pt2d(ijt,jpj-2)
             END DO
@@ -681,6 +696,6 @@
 
          CASE ( 'I' )                                  ! ice U-V point
-            pt2d( : , 1 ) = 0.e0
-            pt2d( 2 ,jpj) = 0.e0
+            pt2d( : , 1 ) = zland
+            pt2d( 2 ,jpj) = zland
             DO ji = 2 , jpim1
                ijt = jpi - ji + 2
@@ -694,11 +709,11 @@
          SELECT CASE ( cd_type )
          CASE ( 'T' , 'U' , 'V' , 'W' )                ! T-, U-, V-, W-points
-            pt2d(:, 1 ) = 0.e0
-            pt2d(:,jpj) = 0.e0
+            pt2d(:, 1 ) = zland
+            pt2d(:,jpj) = zland
          CASE ( 'F' )                                  ! F-point
-            pt2d(:,jpj) = 0.e0
+            pt2d(:,jpj) = zland
          CASE ( 'I' )                                  ! ice U-V point
-            pt2d(:, 1 ) = 0.e0
-            pt2d(:,jpj) = 0.e0
+            pt2d(:, 1 ) = zland
+            pt2d(:,jpj) = zland
          END SELECT
 
Index: trunk/NEMO/OPA_SRC/lib_mpp.F90
===================================================================
--- trunk/NEMO/OPA_SRC/lib_mpp.F90	(revision 716)
+++ trunk/NEMO/OPA_SRC/lib_mpp.F90	(revision 717)
@@ -597,5 +597,5 @@
 #endif
 
-   SUBROUTINE mpp_lnk_3d( ptab, cd_type, psgn, cd_mpp )
+   SUBROUTINE mpp_lnk_3d( ptab, cd_type, psgn, cd_mpp, pval )
       !!----------------------------------------------------------------------
       !!                  ***  routine mpp_lnk_3d  ***
@@ -632,4 +632,5 @@
       CHARACTER(len=3), INTENT( in ), OPTIONAL ::    &
          cd_mpp        ! fill the overlap area only 
+      REAL(wp)        , INTENT(in   ), OPTIONAL           ::   pval      ! background value (used at closed boundaries)
 
       !! * Local variables
@@ -638,8 +639,15 @@
       INTEGER ::   ml_req1, ml_req2, ml_err     ! for key_mpi_isend
       INTEGER ::   ml_stat(MPI_STATUS_SIZE)     ! for key_mpi_isend
+      REAL(wp) ::   zland
       !!----------------------------------------------------------------------
 
       ! 1. standard boundary treatment
       ! ------------------------------
+
+      IF( PRESENT( pval ) ) THEN      ! set land value (zero by default)
+         zland = pval
+      ELSE
+         zland = 0.e0
+      ENDIF
 
       IF( PRESENT( cd_mpp ) ) THEN
@@ -662,8 +670,8 @@
             SELECT CASE ( cd_type )
             CASE ( 'T', 'U', 'V', 'W' )
-               ptab(     1       :jpreci,:,:) = 0.e0
-               ptab(nlci-jpreci+1:jpi   ,:,:) = 0.e0
+               ptab(     1       :jpreci,:,:) = zland
+               ptab(nlci-jpreci+1:jpi   ,:,:) = zland
             CASE ( 'F' )
-               ptab(nlci-jpreci+1:jpi   ,:,:) = 0.e0
+               ptab(nlci-jpreci+1:jpi   ,:,:) = zland
             END SELECT 
          ENDIF
@@ -673,8 +681,8 @@
          SELECT CASE ( cd_type )
          CASE ( 'T', 'U', 'V', 'W' )
-            ptab(:,     1       :jprecj,:) = 0.e0
-            ptab(:,nlcj-jprecj+1:jpj   ,:) = 0.e0
+            ptab(:,     1       :jprecj,:) = zland
+            ptab(:,nlcj-jprecj+1:jpj   ,:) = zland
          CASE ( 'F' )
-            ptab(:,nlcj-jprecj+1:jpj   ,:) = 0.e0
+            ptab(:,nlcj-jprecj+1:jpj   ,:) = zland
          END SELECT
      
@@ -1050,5 +1058,5 @@
 
 
-   SUBROUTINE mpp_lnk_2d( pt2d, cd_type, psgn, cd_mpp )
+   SUBROUTINE mpp_lnk_2d( pt2d, cd_type, psgn, cd_mpp, pval )
       !!----------------------------------------------------------------------
       !!                  ***  routine mpp_lnk_2d  ***
@@ -1084,4 +1092,5 @@
       CHARACTER(len=3), INTENT( in ), OPTIONAL ::    &
          cd_mpp        ! fill the overlap area only 
+      REAL(wp)        , INTENT(in   ), OPTIONAL           ::   pval      ! background value (used at closed boundaries)
 
       !! * Local variables
@@ -1092,5 +1101,12 @@
       INTEGER  ::   ml_req1, ml_req2, ml_err     ! for key_mpi_isend
       INTEGER  ::   ml_stat(MPI_STATUS_SIZE)     ! for key_mpi_isend
+      REAL(wp) ::   zland
       !!----------------------------------------------------------------------
+
+      IF( PRESENT( pval ) ) THEN      ! set land value (zero by default)
+         zland = pval
+      ELSE
+         zland = 0.e0
+      ENDIF
 
       ! 1. standard boundary treatment
@@ -1115,8 +1131,8 @@
             SELECT CASE ( cd_type )
             CASE ( 'T', 'U', 'V', 'W' , 'I' )
-               pt2d(     1       :jpreci,:) = 0.e0
-               pt2d(nlci-jpreci+1:jpi   ,:) = 0.e0
+               pt2d(     1       :jpreci,:) = zland
+               pt2d(nlci-jpreci+1:jpi   ,:) = zland
             CASE ( 'F' )
-               pt2d(nlci-jpreci+1:jpi   ,:) = 0.e0
+               pt2d(nlci-jpreci+1:jpi   ,:) = zland
             END SELECT
          ENDIF
@@ -1126,8 +1142,8 @@
          SELECT CASE ( cd_type )
          CASE ( 'T', 'U', 'V', 'W' , 'I' )
-            pt2d(:,     1       :jprecj) = 0.e0
-            pt2d(:,nlcj-jprecj+1:jpj   ) = 0.e0
+            pt2d(:,     1       :jprecj) = zland
+            pt2d(:,nlcj-jprecj+1:jpj   ) = zland
          CASE ( 'F' )
-            pt2d(:,nlcj-jprecj+1:jpj   ) = 0.e0
+            pt2d(:,nlcj-jprecj+1:jpj   ) = zland
          END SELECT
 
@@ -1394,5 +1410,5 @@
   
             CASE ( 'I' )                                  ! ice U-V point
-               pt2d( 2 ,nlcj) = 0.e0
+               pt2d( 2 ,nlcj) = zland
                DO ji = 2 , nlci-1
                   ijt = iloc - ji + 2
Index: trunk/NEMO/OPA_SRC/opa.F90
===================================================================
--- trunk/NEMO/OPA_SRC/opa.F90	(revision 716)
+++ trunk/NEMO/OPA_SRC/opa.F90	(revision 717)
@@ -309,8 +309,4 @@
 #endif
 
-      CALL flx_init                         ! Thermohaline forcing initialization
-
-      CALL flx_fwb_init                     ! FreshWater Budget correction
-
       CALL dia_ptr_init                     ! Poleward TRansports initialization
 
Index: trunk/NEMO/OPA_SRC/restart.F90
===================================================================
--- trunk/NEMO/OPA_SRC/restart.F90	(revision 716)
+++ trunk/NEMO/OPA_SRC/restart.F90	(revision 717)
@@ -19,5 +19,4 @@
    USE phycst          ! physical constants
    USE daymod          ! calendar
-   USE ice_oce         ! ice variables
    USE cpl_oce, ONLY : lk_cpl              !
    USE in_out_manager  ! I/O manager
@@ -138,19 +137,4 @@
       CALL iom_rstput( kt, nitrst, numrow, 'rotn'   , rotn    )
       CALL iom_rstput( kt, nitrst, numrow, 'hdivn'  , hdivn   )
-
-#if defined key_ice_lim        
-      CALL iom_rstput( kt, nitrst, numrow, 'nfice'  , REAL( nfice, wp) )   !  ice computation frequency
-      CALL iom_rstput( kt, nitrst, numrow, 'sst_io' , sst_io  )
-      CALL iom_rstput( kt, nitrst, numrow, 'sss_io' , sss_io  )
-      CALL iom_rstput( kt, nitrst, numrow, 'u_io'   , u_io    )
-      CALL iom_rstput( kt, nitrst, numrow, 'v_io'   , v_io    )
-# if defined key_coupled
-      CALL iom_rstput( kt, nitrst, numrow, 'alb_ice', alb_ice )
-# endif
-#endif
-#if defined key_flx_bulk_monthly || defined key_flx_bulk_daily || defined key_flx_core 
-      CALL iom_rstput( kt, nitrst, numrow, 'nfbulk' , REAL( nfbulk, wp) )   !  bulk computation frequency
-      CALL iom_rstput( kt, nitrst, numrow, 'gsst'   , gsst    )
-#endif
 
       IF( nn_dynhpg_rst == 1 .OR. lk_vvl ) THEN
@@ -204,5 +188,5 @@
       !!                    has been stored in the restart file.
       !!----------------------------------------------------------------------
-      REAL(wp) ::   zcoef, zkt, zrdt, zrdttra1, zndastp, znfice, znfbulk
+      REAL(wp) ::   zcoef, zkt, zrdt, zrdttra1, zndastp
 #if defined key_ice_lim
       INTEGER  ::   ji, jj
@@ -299,62 +283,4 @@
       ENDIF
 
-      !!sm: TO BE MOVED IN NEW SURFACE MODULE...
-
-#if defined key_ice_lim
-      ! Louvain La Neuve Sea Ice Model
-      IF( iom_varid( numror, 'nfice' ) > 0 ) then 
-         CALL iom_get( numror             , 'nfice'  , znfice  )   ! ice computation frequency
-         CALL iom_get( numror, jpdom_autoglo, 'sst_io' , sst_io  )
-         CALL iom_get( numror, jpdom_autoglo, 'sss_io' , sss_io  )
-         CALL iom_get( numror, jpdom_autoglo, 'u_io'   , u_io    )
-         CALL iom_get( numror, jpdom_autoglo, 'v_io'   , v_io    )
-# if defined key_coupled
-         CALL iom_get( numror, jpdom_autoglo, 'alb_ice', alb_ice )
-# endif
-         IF( znfice /= REAL( nfice, wp ) ) THEN      ! if nfice changed between 2 runs
-            zcoef = REAL( nfice-1, wp ) / znfice
-            sst_io(:,:) = zcoef * sst_io(:,:)
-            sss_io(:,:) = zcoef * sss_io(:,:)
-            u_io  (:,:) = zcoef * u_io  (:,:)
-            v_io  (:,:) = zcoef * v_io  (:,:)
-         ENDIF
-      ELSE
-         IF(lwp) WRITE(numout,*)
-         IF(lwp) WRITE(numout,*) 'rst_read :  LLN sea Ice Model => Ice initialization'
-         IF(lwp) WRITE(numout,*)
-         zcoef = REAL( nfice-1, wp )
-         sst_io(:,:) = zcoef *( tn(:,:,1) + rt0 )          !!bug a explanation is needed here!
-         sss_io(:,:) = zcoef *  sn(:,:,1)
-         zcoef = 0.5 * REAL( nfice-1, wp )
-         DO jj = 2, jpj
-            DO ji = fs_2, jpi   ! vector opt.
-               u_io(ji,jj) = zcoef * ( un(ji-1,jj  ,1) + un(ji-1,jj-1,1) )
-               v_io(ji,jj) = zcoef * ( vn(ji  ,jj-1,1) + vn(ji-1,jj-1,1) )
-            END DO
-         END DO
-# if defined key_coupled
-         alb_ice(:,:) = 0.8 * tmask(:,:,1)
-# endif
-      ENDIF
-#endif
-#if defined key_flx_bulk_monthly || defined key_flx_bulk_daily || defined key_flx_core 
-      ! Louvain La Neuve Sea Ice Model
-      IF( iom_varid( numror, 'nfbulk' ) > 0 ) THEN 
-         CALL iom_get( numror             , 'nfbulk', znfbulk )   ! bulk computation frequency
-         CALL iom_get( numror, jpdom_autoglo, 'gsst'  , gsst    )
-         IF( znfbulk /= REAL(nfbulk, wp) ) THEN      ! if you change nfbulk between 2 runs
-            zcoef = REAL( nfbulk-1, wp ) / znfbulk
-            gsst(:,:) = zcoef * gsst(:,:)
-         ENDIF
-      ELSE
-         IF(lwp) WRITE(numout,*)
-         IF(lwp) WRITE(numout,*) 'rst_read :  LLN sea Ice Model => Ice initialization'
-         IF(lwp) WRITE(numout,*)
-         gsst(:,:) = REAL( nfbulk - 1, wp )*( tn(:,:,1) + rt0 )
-      ENDIF
-#endif
-
-      !!sm: end of TO BE MOVED IN NEW SURFACE MODULE...
-
       IF( iom_varid( numror, 'rhd' ) > 0 ) THEN
          CALL iom_get( numror, jpdom_autoglo, 'rhd' , rhd  )
